Subject: Re: bug#78416: [PATCH] * src/lread.c (get-load-suffixes): Avoid module suffix with compressed suffix

From: Paul Eggert <[email-masked]>
Date: Wed, 14 May 2025 13:01:57 -0700

On 2025-05-14 05:11, Eli Zaretskii wrote:
> Paul and Po Lu, are there any systems we know about where Emacs can
> load a compressed shared library whose file-name ends in ".gz" or any
> other suffix jka-compr supports?

I don't know of any. A quick Google search suggests that software that 
plays this game (e.g., [1], [2]) doesn't add a ".gz"-like extension to 
names of compressed shared libraries. That being said, I'm no expert in 
this area as I think compressing a shared library is generally a mistake.

[1]: 
https://chromium.googlesource.com/chromium/src/+/lkgr/tools/android/elf_compression/
[2]: https://upx.github.io/